aboutsummaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
authorGravatar Francois Perrad <fperrad@gmail.com>2014-04-04 21:15:06 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2014-04-04 23:29:36 +0200
commit7dcbaa1a08723059d9bd045fc500f19a3e0ad3d8 (patch)
tree5cbb746542d7ed045bf0aa4fc7462d91d27cb154 /package
parentf90760fe0ed7317510bc6f44c5508e2072ed217d (diff)
downloadbuildroot-7dcbaa1a08723059d9bd045fc500f19a3e0ad3d8.tar.gz
buildroot-7dcbaa1a08723059d9bd045fc500f19a3e0ad3d8.tar.bz2
lua-expat: bump to version 1.3.0
which is now compatible with Lua 5.2 Signed-off-by: Francois Perrad <francois.perrad@gadz.org> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package')
-rw-r--r--package/luaexpat/Config.in4
-rw-r--r--package/luaexpat/luaexpat.mk2
-rw-r--r--package/luaexpatutils/Config.in4
3 files changed, 1 insertions, 9 deletions
diff --git a/package/luaexpat/Config.in b/package/luaexpat/Config.in
index 3394780c70..f8db318e82 100644
--- a/package/luaexpat/Config.in
+++ b/package/luaexpat/Config.in
@@ -2,11 +2,7 @@ config BR2_PACKAGE_LUAEXPAT
bool "luaexpat"
select BR2_PACKAGE_EXPAT
depends on BR2_PACKAGE_HAS_LUA_INTERPRETER
- depends on !BR2_PACKAGE_LUA_5_2
help
LuaExpat is a SAX XML parser based on the Expat library.
http://matthewwild.co.uk/projects/luaexpat/
-
-comment "luaexpat needs a Lua 5.1 interpreter"
- depends on BR2_PACKAGE_LUA_5_2
diff --git a/package/luaexpat/luaexpat.mk b/package/luaexpat/luaexpat.mk
index d507c2a795..c6768dcc18 100644
--- a/package/luaexpat/luaexpat.mk
+++ b/package/luaexpat/luaexpat.mk
@@ -4,7 +4,7 @@
#
################################################################################
-LUAEXPAT_VERSION = 1.2.0-1
+LUAEXPAT_VERSION = 1.3.0-1
LUAEXPAT_DEPENDENCIES = expat
LUAEXPAT_LICENSE = MIT
diff --git a/package/luaexpatutils/Config.in b/package/luaexpatutils/Config.in
index 333f98dc32..cb2887acaa 100644
--- a/package/luaexpatutils/Config.in
+++ b/package/luaexpatutils/Config.in
@@ -1,12 +1,8 @@
config BR2_PACKAGE_LUAEXPATUTILS
bool "luaexpatutils"
select BR2_PACKAGE_LUAEXPAT
- depends on !BR2_PACKAGE_LUA_5_2
help
lxp.doc is a module that provides useful features for working with
XML formats in LOM format as used by the LuaExpat project from Kepler.
https://github.com/stevedonovan/LuaExpatUtils
-
-comment "luaexpatutils needs a Lua 5.1 interpreter"
- depends on BR2_PACKAGE_LUA_5_2